Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.sitemesh
Class GrailsLayoutDecoratorMapper

    java.lang.Object
      com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper
          org.codehaus.groovy.grails.web.sitemesh.GrailsLayoutDecoratorMapper

All Implemented Interfaces:
  com.opensymphony.module.sitemesh.DecoratorMapper

    public class GrailsLayoutDecoratorMapper

extends com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper
implements com.opensymphony.module.sitemesh.DecoratorMapper

Implements the SiteMesh decorator mapper interface and allows grails views to map to grails layouts

Since:
  Oct 10, 2005
Author:
  Graeme Rocher

Field Summary

Fields inherited from class com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper
`config, parent`

Constructor Summary
`GrailsLayoutDecoratorMapper()`

Method Summary
`com.opensymphony.module.sitemesh.Decorator` | `getDecorator(HttpServletRequest request, com.opensymphony.module.sitemesh.Page page)`
`com.opensymphony.module.sitemesh.Decorator` | `getNamedDecorator(HttpServletRequest request, String name)`
`void` | `init(com.opensymphony.module.sitemesh.Config config, Properties properties, com.opensymphony.module.sitemesh.DecoratorMapper parent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsLayoutDecoratorMapper

    public GrailsLayoutDecoratorMapper()

Method Detail

### init

    public void init(com.opensymphony.module.sitemesh.Config config,
                     Properties properties,
                     com.opensymphony.module.sitemesh.DecoratorMapper parent)
              throws InstantiationException

  Specified by:
    `init` in interface `com.opensymphony.module.sitemesh.DecoratorMapper`
  Overrides:
    `init` in class `com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper`
  Throws:
    `InstantiationException`

### getDecorator

    public com.opensymphony.module.sitemesh.Decorator getDecorator(HttpServletRequest request,
                                                                   com.opensymphony.module.sitemesh.Page page)

  Specified by:
    `getDecorator` in interface `com.opensymphony.module.sitemesh.DecoratorMapper`
  Overrides:
    `getDecorator` in class `com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper`

### getNamedDecorator

    public com.opensymphony.module.sitemesh.Decorator getNamedDecorator(HttpServletRequest request,
                                                                        String name)

  Specified by:
    `getNamedDecorator` in interface `com.opensymphony.module.sitemesh.DecoratorMapper`
  Overrides:
    `getNamedDecorator` in class `com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project